Skip to main content

Create Company Registration

POST 

/v1/users/company-registrations

Creates a company registration in the Companies API. Requires a finished legal person onboarding.

Request

Header Parameters

    x-transaction-uuid stringrequired

    The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    The product ID is a UUID (v4) used to identify the Z.ro product configuration.

    x-product-target-user-uuid string

    The product target user ID is a UUID (v4) used to identify what user account this request must be executed. Require: x-product-uuid.

Body

required
    onboarding_id stringrequired

    Finished legal person onboarding ID.

    opening_date stringrequired

    Company opening date (YYYY-MM-DD).

    revenue numberrequired

    Company annual revenue in BRL cents.

    establishment_format stringrequired

    Possible values: [EI, MEI, EIRELI, LTDA, SS, SA, ME, EPP, EMPG, COOP, OTHER]

    Establishment format.

    state_registration string

    State registration number.

    partner_changed boolean

    Indicates if partner has changed.

    cnae stringrequired

    Main CNAE code (7 digits).

    legal_nature_code stringrequired

    Legal nature code (4 digits).

Responses

Company registration created successfully.

Schema
    id stringrequired

    Company registration ID.

    cnpj stringrequired

    Company CNPJ.

    status stringrequired

    Possible values: [PENDING, SUBMITTED, WAITING_DOCUMENTS, APPROVED, DECLINED, FAILED]

    Company registration status.

    status_reason stringrequired

    Possible values: [REGISTRATION_CREATED, WAITING_DOCUMENTS_SUBMISSION, UNDER_REVIEW, ALIAS_ACCOUNT_PENDING, ALIAS_ACCOUNT_ACTIVE, ALIAS_ACCOUNT_NOT_ACTIVE, ALIAS_ACCOUNT_LOCKED, ALIAS_ACCOUNT_CLOSED, ALIAS_ACCOUNT_UNKNOWN_STATUS, REGISTRATION_DECLINED, REGISTRATION_FAILED]

    Detailed reason that explains why the registration is in the current status.

    next_action stringrequired

    Possible values: [WAIT_SUBMISSION, UPLOAD_DOCUMENTS, WAIT_REVIEW, WAIT_ALIAS_ACCOUNT, CONTACT_SUPPORT, RETRY, NONE]

    Next action required to continue or complete the company registration process.

    is_operational booleanrequired

    Indicates whether the company registration is operational and ready to use.

    created_at date-timerequired

    Created at timestamp.

Loading...